For the complete documentation index, see llms.txt.
Shipments
POST
/api/orders/shipmentPrint Label
Print a shipping label for a given order. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.
Shipments
Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.
7 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/shipment
Details
Print a shipping label for a given order. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.
Print Label Request
Print Label - Package Model
Print Label Response
Request body
{
"order_id": 430614764,
"carrier": "DHL",
"carrier_service_code": "DOM",
"packages": [
{
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.1
}
],
"reprint": false
}Response examples
Print Label (200)
{
"application/json": {
"order_id": 121330827,
"order_number": "10001",
"carrier_name": "CourierPost",
"tracking_numbers": [
"QQQ001156301000960302"
],
"labels": [
"JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
],
"label_types": [
"CourierPost"
],
"success": true
}
}